# StateMachine.Transition (ARX Developer Documentation)

org.deidentifier.arx.framework.check

## Class StateMachine.Transition

- java.lang.Object
- - org.deidentifier.arx.framework.check.StateMachine.Transition

- Enclosing class:
    StateMachine

      public static class StateMachine.Transition
      extends java.lang.Object

  The resulting transition.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `projection` Which columns can be projected away?.
    `int[]` | `snapshot` Snapshot, if available.
    `StateMachine.TransitionType` | `type` The actual type of the transition.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateMachine.Transition()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### projection

          public long projection

      Which columns can be projected away?.

    - #### snapshot

          public int[] snapshot

      Snapshot, if available.

    - #### type

          public StateMachine.TransitionType type

      The actual type of the transition.

  - ### Constructor Detail

    - #### StateMachine.Transition

          public StateMachine.Transition()